summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2021-02-24 08:17:49 +0100
committerEugen Wissner <belka@caraus.de>2021-02-24 08:17:49 +0100
commitc3e4ef2cdfb67c2bd4a915887ebc943dbcd19d1f (patch)
tree8634e44fbf58864ed2d52335a87764f206ce117e
parentded33e772c76158e64176ab8804aa5556c375ae5 (diff)
downloadslackbuilder-c3e4ef2cdfb67c2bd4a915887ebc943dbcd19d1f.tar.gz
Add colm and ragel
-rw-r--r--private/colm/README4
-rwxr-xr-xprivate/colm/colm.SlackBuild102
-rw-r--r--private/colm/colm.info10
-rw-r--r--private/colm/slack-desc19
-rw-r--r--private/ragel/README9
-rw-r--r--private/ragel/lib64.patch15
-rwxr-xr-xprivate/ragel/ragel.SlackBuild108
-rw-r--r--private/ragel/ragel.info10
-rw-r--r--private/ragel/slack-desc19
9 files changed, 296 insertions, 0 deletions
diff --git a/private/colm/README b/private/colm/README
new file mode 100644
index 0000000..7e6bddd
--- /dev/null
+++ b/private/colm/README
@@ -0,0 +1,4 @@
+Colm is a programming language designed for the analysis and
+and transformation of computer languages.
+Colm is influenced primarily by TXL.
+It is in the family of program transformation languages.
diff --git a/private/colm/colm.SlackBuild b/private/colm/colm.SlackBuild
new file mode 100755
index 0000000..5f97ca9
--- /dev/null
+++ b/private/colm/colm.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for colm
+
+# Copyright 2017-2019 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=colm
+VERSION=${VERSION:-0.14.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="COPYING README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/colm/colm.info b/private/colm/colm.info
new file mode 100644
index 0000000..550a977
--- /dev/null
+++ b/private/colm/colm.info
@@ -0,0 +1,10 @@
+PRGNAM="colm"
+VERSION="0.14.7"
+HOMEPAGE="https://www.colm.net/open-source/colm/"
+DOWNLOAD="https://www.colm.net/files/colm/colm-0.14.7.tar.gz"
+MD5SUM="073b11234fe64a281874b4466c0c25ee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/private/colm/slack-desc b/private/colm/slack-desc
new file mode 100644
index 0000000..f7374e7
--- /dev/null
+++ b/private/colm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+colm: colm (Programming language)
+colm:
+colm: Colm is a programming language designed for the analysis and
+colm: and transformation of computer languages.
+colm: Colm is influenced primarily by TXL.
+colm: It is in the family of program transformation languages.
+colm:
+colm: homepage: https://www.colm.net/open-source/colm/
+colm:
+colm:
+colm:
diff --git a/private/ragel/README b/private/ragel/README
new file mode 100644
index 0000000..cdc9416
--- /dev/null
+++ b/private/ragel/README
@@ -0,0 +1,9 @@
+Ragel compiles executable finite state machines from regular
+languages. Ragel targets C, C++, Objective-C, D, Java and Ruby.
+Ragel state machines can not only recognize byte sequences as regular
+expression machines do, but can also execute code at arbitrary points
+in the recognition of a regular language. Code embedding is done using
+inline operators that do not disrupt the regular language syntax.
+
+NOTE: before building this it's recommended to remove any previous
+version you might have installed.
diff --git a/private/ragel/lib64.patch b/private/ragel/lib64.patch
new file mode 100644
index 0000000..53aa3b8
--- /dev/null
+++ b/private/ragel/lib64.patch
@@ -0,0 +1,15 @@
+--- a/configure.ac 2021-02-15 20:45:20.000000000 +0100
++++ b/configure.ac 2021-02-21 17:59:13.593674832 +0100
+@@ -46,9 +46,9 @@
+ COLM_WRAP="$withval/bin/colm-wrap"
+ CPPFLAGS="-I$withval/include ${CPPFLAGS}"
+ CPPFLAGS="-I$withval/include/aapl ${CPPFLAGS}"
+- LDFLAGS="-L$withval/lib ${LDFLAGS}"
+- LIBCOLM_LA="$withval/lib/libcolm.la"
+- LIBFSM_LA="$withval/lib/libfsm.la"
++ LDFLAGS="-L$withval/lib64 ${LDFLAGS}"
++ LIBCOLM_LA="$withval/lib64/libcolm.la"
++ LIBFSM_LA="$withval/lib64/libfsm.la"
+ COLM_SHARE="$withval/share"
+ ],
+ []
diff --git a/private/ragel/ragel.SlackBuild b/private/ragel/ragel.SlackBuild
new file mode 100755
index 0000000..5d4475e
--- /dev/null
+++ b/private/ragel/ragel.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for ragel
+
+# Copyright 2012-2019 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ragel
+VERSION=${VERSION:-7.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="COPYING README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch --verbose -p1 -i $CWD/lib64.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-colm=/usr \
+ --disable-manual \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/private/ragel/ragel.info b/private/ragel/ragel.info
new file mode 100644
index 0000000..dd0ca9e
--- /dev/null
+++ b/private/ragel/ragel.info
@@ -0,0 +1,10 @@
+PRGNAM="ragel"
+VERSION="7.0.4"
+HOMEPAGE="https://www.colm.net/open-source/ragel/"
+DOWNLOAD="https://www.colm.net/files/ragel/ragel-7.0.4.tar.gz"
+MD5SUM="2ca4f5507c1923bcf9a7909baa8254d3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="colm kelbt"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/private/ragel/slack-desc b/private/ragel/slack-desc
new file mode 100644
index 0000000..2a6936b
--- /dev/null
+++ b/private/ragel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ragel: ragel (State Machine Compiler)
+ragel:
+ragel: Ragel compiles executable finite state machines from regular
+ragel: languages. Ragel targets C, C++, Objective-C, D, Java and Ruby.
+ragel: Ragel state machines can not only recognize byte sequences as regular
+ragel: expression machines do, but can also execute code at arbitrary points
+ragel: in the recognition of a regular language. Code embedding is done using
+ragel: inline operators that do not disrupt the regular language syntax.
+ragel:
+ragel: homepage: https://www.colm.net/open-source/ragel/
+ragel: